package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class AsKepRasionalI
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "AsKepRasionalI_M")
public class AsKepRasionalIVO extends BaseMasterVO {
	@Caption(value="Kode Rasional I")
	private Integer kdRasionalI;


	public Integer getKdRasionalI() {
		return kdRasionalI;
	}

	public void setKdRasionalI(Integer kdRasionalI) {
		this.kdRasionalI = kdRasionalI;
	}

	@Caption(value="QRasional I")
	private Integer qRasionalI;

	@Column(name = "QRasionalI", nullable = false )
	public Integer getqRasionalI() {
		return qRasionalI;
	}

	public void setqRasionalI(Integer qRasionalI) {
		this.qRasionalI = qRasionalI;
	}

	@Caption(value="Rasional I")
	private String rasionalI;

	public void setRasionalI(String rasionalI) {
		this.rasionalI = rasionalI;
	}

	@Column(name = "RasionalI", nullable = false , length = 150)
	public String getRasionalI(){
		return this.rasionalI;
	}


}

